package com.bwie.user.service.impl;

import com.bwie.user.domain.User;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：chaiyapeng
 * @Package：com.bwie.user.service.impl
 * @Project：bwie-g6_day10rk
 * @name：UserServiceImpl
 * @Date：2024/7/29 8:48
 */
@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper mapper;
    @Override
    public List<User> findUserList() {
        List<User> list = mapper.findUserList();
        return list;
    }

    @Override
    public Integer deleteUserId(Integer userId) {
        Integer i = mapper.deleteUserId(userId);
        return i;
    }

    @Override
    public List<User> findUserDesc(User user) {
        List<User> list = mapper.findUserDesc(user);
        return list;
    }
}
